CRMchat APIBeta
Telegram APIAccount

account.getAutoDownloadSettings

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/account.getAutoDownloadSettings

Get media autodownload settings

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get media autodownload settings

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.getAutoDownloadSettings" \  -H "Content-Type: application/json" \  -d '{    "params": {}  }'
{  "result": {    "_": "account.autoDownloadSettings",    "low": {      "_": "autoDownloadSettings",      "disabled": true,      "videoPreloadLarge": true,      "audioPreloadNext": true,      "phonecallsLessData": true,      "storiesPreload": true,      "photoSizeMax": 0,      "videoSizeMax": 0,      "fileSizeMax": 0,      "videoUploadMaxbitrate": 0,      "smallQueueActiveOperationsMax": 0,      "largeQueueActiveOperationsMax": 0    },    "medium": {      "_": "autoDownloadSettings",      "disabled": true,      "videoPreloadLarge": true,      "audioPreloadNext": true,      "phonecallsLessData": true,      "storiesPreload": true,      "photoSizeMax": 0,      "videoSizeMax": 0,      "fileSizeMax": 0,      "videoUploadMaxbitrate": 0,      "smallQueueActiveOperationsMax": 0,      "largeQueueActiveOperationsMax": 0    },    "high": {      "_": "autoDownloadSettings",      "disabled": true,      "videoPreloadLarge": true,      "audioPreloadNext": true,      "phonecallsLessData": true,      "storiesPreload": true,      "photoSizeMax": 0,      "videoSizeMax": 0,      "fileSizeMax": 0,      "videoUploadMaxbitrate": 0,      "smallQueueActiveOperationsMax": 0,      "largeQueueActiveOperationsMax": 0    }  }}